Skip to main content
POST
/
v1
/
widgets
/
refresh
Refresh Widgets
curl --request POST \
  --url https://api.oviond.com/v1/widgets/refresh \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_id": "<string>",
  "date_range": {
    "current_start": "<string>",
    "current_end": "<string>",
    "previous_start": "<string>",
    "previous_end": "<string>"
  },
  "widget_ids": [
    "<string>"
  ],
  "source_id": "<string>",
  "datasource_id": "<string>",
  "timezone": "<string>"
}
'
{
  "success": true,
  "data": {
    "accepted": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
client_id
string
required
date_range
object
required
widget_ids
string[]
source_id
string
datasource_id
string
timezone
string

Response

200 - application/json

Per-widget result patches

success
enum<boolean>
required
Available options:
true
data
object
required